package com.eactive.eai.inbound.remote;

import java.io.Serializable;

public class RemoteTransferLogVO implements Serializable
{
	private static final long serialVersionUID = 1L;
	private String fileTrsmtLogID          = "";  //파일전송로그ID          
	private String fileTrsmtStartPtrnDstcd = "";  //파일전송시작유형구분코드
	private String fileTrsmtStartHMS       = "";  //파일전송시작시각        
	private String fileTrsmtEndHMS         = "";  //파일전송종료시각        
	private String bjobBzwkDstcd           = "";  //BATCH작업업무구분코드   
	private String osidInstiDstcd          = "";  //대외기관구분코드        
	private String bjobMsgDstcd            = "";  //BATCH작업메시지구분코드 
	private String fileTrsmtPathName       = "";  //파일전송경로명          
	private String trsmtFileName           = "";  //전송파일명              
	private String rmtFileTrsmtPathName    = "";  //원격파일전송경로명      
	private String rmtTrsmtFileName        = "";  //원격전송파일명          
	private long   fileTrsmtSize           = 0L;  //파일전송크기        
	private String thisMsgRegsntID         = "";  //당메시지등록자ID        
	private String thisMsgRegiHMS          = "";  //당메시지등록시각        
	private String thisStgePrcssRsultCd    = "";  //당단계처리결과코드      
	private String obstclOccurCausCtnt     = "";  //장애발생원인내용        
	private String SendRecvYn              = "";  //송수신구분        
	
	public String getFileTrsmtLogID() {
		return fileTrsmtLogID;
	}
	public void setFileTrsmtLogID(String fileTrsmtLogID) {
		this.fileTrsmtLogID = fileTrsmtLogID;
	}
	public String getFileTrsmtStartPtrnDstcd() {
		return fileTrsmtStartPtrnDstcd;
	}
	public void setFileTrsmtStartPtrnDstcd(String fileTrsmtStartPtrnDstcd) {
		this.fileTrsmtStartPtrnDstcd = fileTrsmtStartPtrnDstcd;
	}
	public String getFileTrsmtStartHMS() {
		return fileTrsmtStartHMS;
	}
	public void setFileTrsmtStartHMS(String fileTrsmtStartHMS) {
		this.fileTrsmtStartHMS = fileTrsmtStartHMS;
	}
	public String getFileTrsmtEndHMS() {
		return fileTrsmtEndHMS;
	}
	public void setFileTrsmtEndHMS(String fileTrsmtEndHMS) {
		this.fileTrsmtEndHMS = fileTrsmtEndHMS;
	}
	public String getBjobBzwkDstcd() {
		return bjobBzwkDstcd;
	}
	public void setBjobBzwkDstcd(String bjobBzwkDstcd) {
		this.bjobBzwkDstcd = bjobBzwkDstcd;
	}
	public String getOsidInstiDstcd() {
		return osidInstiDstcd;
	}
	public void setOsidInstiDstcd(String osidInstiDstcd) {
		this.osidInstiDstcd = osidInstiDstcd;
	}
	public String getBjobMsgDstcd() {
		return bjobMsgDstcd;
	}
	public void setBjobMsgDstcd(String bjobMsgDstcd) {
		this.bjobMsgDstcd = bjobMsgDstcd;
	}
	public String getFileTrsmtPathName() {
		return fileTrsmtPathName;
	}
	public void setFileTrsmtPathName(String fileTrsmtPathName) {
		this.fileTrsmtPathName = fileTrsmtPathName;
	}
	public String getTrsmtFileName() {
		return trsmtFileName;
	}
	public void setTrsmtFileName(String trsmtFileName) {
		this.trsmtFileName = trsmtFileName;
	}
	public String getRmtFileTrsmtPathName() {
		return rmtFileTrsmtPathName;
	}
	public void setRmtFileTrsmtPathName(String rmtFileTrsmtPathName) {
		this.rmtFileTrsmtPathName = rmtFileTrsmtPathName;
	}
	public String getRmtTrsmtFileName() {
		return rmtTrsmtFileName;
	}
	public void setRmtTrsmtFileName(String rmtTrsmtFileName) {
		this.rmtTrsmtFileName = rmtTrsmtFileName;
	}
	public long getFileTrsmtSize() {
		return fileTrsmtSize;
	}
	public void setFileTrsmtSize(long fileTrsmtSize) {
		this.fileTrsmtSize = fileTrsmtSize;
	}
	public String getThisMsgRegsntID() {
		return thisMsgRegsntID;
	}
	public void setThisMsgRegsntID(String thisMsgRegsntID) {
		this.thisMsgRegsntID = thisMsgRegsntID;
	}
	public String getThisMsgRegiHMS() {
		return thisMsgRegiHMS;
	}
	public void setThisMsgRegiHMS(String thisMsgRegiHMS) {
		this.thisMsgRegiHMS = thisMsgRegiHMS;
	}
	public String getThisStgePrcssRsultCd() {
		return thisStgePrcssRsultCd;
	}
	public void setThisStgePrcssRsultCd(String thisStgePrcssRsultCd) {
		this.thisStgePrcssRsultCd = thisStgePrcssRsultCd;
	}
	public String getObstclOccurCausCtnt() {
		return obstclOccurCausCtnt;
	}
	public void setObstclOccurCausCtnt(String obstclOccurCausCtnt) {
		this.obstclOccurCausCtnt = obstclOccurCausCtnt;
	}
	public String getSendRecvYn() {
		return SendRecvYn;
	}
	public void setSendRecvYn(String sendRecvYn) {
		SendRecvYn = sendRecvYn;
	}

	@Override
	public String toString() {
		return "RemoteTransferLogVO [fileTrsmtLogID=" + fileTrsmtLogID
				+ ", fileTrsmtStartPtrnDstcd=" + fileTrsmtStartPtrnDstcd
				+ ", fileTrsmtStartHMS=" + fileTrsmtStartHMS
				+ ", fileTrsmtEndHMS=" + fileTrsmtEndHMS + ", bjobBzwkDstcd="
				+ bjobBzwkDstcd + ", osidInstiDstcd=" + osidInstiDstcd
				+ ", bjobMsgDstcd=" + bjobMsgDstcd + ", fileTrsmtPathName="
				+ fileTrsmtPathName + ", trsmtFileName=" + trsmtFileName
				+ ", rmtFileTrsmtPathName=" + rmtFileTrsmtPathName
				+ ", rmtTrsmtFileName=" + rmtTrsmtFileName
				+ ", fileTrsmtSize="
				+ fileTrsmtSize + ", thisMsgRegsntID=" + thisMsgRegsntID
				+ ", thisMsgRegiHMS=" + thisMsgRegiHMS
				+ ", thisStgePrcssRsultCd=" + thisStgePrcssRsultCd
				+ ", obstclOccurCausCtnt=" + obstclOccurCausCtnt + "]";
	}

}
